tigase.xmpp

## Enum ConnectionStatus

- java.lang.Object
- - java.lang.Enum<ConnectionStatus>
  - - tigase.xmpp.ConnectionStatus

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionStatus>

  Deprecated.

      @Deprecated
      public enum ConnectionStatus
      extends Enum<ConnectionStatus>

  The XMPPResourceConnection Object can be put in special states when all packets received to by this connection are threated in different way: `INIT` - Behaviour is like in `NORMAL` state. It is just an indication that the session is in an initial phase before authentication. `ON_HOLD` - packets are not processed at all, they are collected by instead for later time. `REDIRECT` - packets received by this connection are being redirected to a different SM for processing. `NORMAL` - packets are processed in normal way. Created: Wed Aug 13 20:58:33 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INIT` Deprecated.
    `NORMAL` Deprecated.
    `ON_HOLD` Deprecated.
    `REDIRECT` Deprecated.
    `REMOTE` Deprecated.
    `TEMP` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionStatus` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static ConnectionStatus[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INIT

          public static final ConnectionStatus INIT

      Deprecated.

    - #### ON_HOLD

          public static final ConnectionStatus ON_HOLD

      Deprecated.

    - #### REDIRECT

          public static final ConnectionStatus REDIRECT

      Deprecated.

    - #### NORMAL

          public static final ConnectionStatus NORMAL

      Deprecated.

    - #### TEMP

          public static final ConnectionStatus TEMP

      Deprecated.

    - #### REMOTE

          public static final ConnectionStatus REMOTE

      Deprecated.

  - ### Method Detail

    - #### values

          public static ConnectionStatus[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionStatus c : ConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionStatus valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 "Tigase, Inc.". All rights reserved.